For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
      • Studio API information
      • GETList Studio Projects
      • POSTUpdate Studio Project
      • GETGet Studio Project
      • POSTCreate Studio Project
      • DELDelete Studio Project
      • POSTConvert Studio Project
      • POSTUpdate Studio Project Content
      • GETList Studio Project Snapshots
      • GETGet Project Muted Tracks
      • STREAMStream Studio Project Audio
      • POSTStream Archive With Studio Project Audio
      • GETList Chapters
      • GETGet Chapter
      • POSTCreate Chapter
      • POSTUpdate Chapter
      • DELDelete Chapter
      • POSTConvert Chapter
      • GETList Chapter Snapshots
      • STREAMStream Chapter Audio
      • POSTCreate Pronunciation Dictionaries
      • POSTCreate Podcast
      • GETGet Chapter Snapshot
      • GETGet Project Snapshot
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenCreativeStudio

Update Studio Project Content

POST
/v1/studio/projects/:project_id/content
POST
/v1/studio/projects/:project_id/content
$curl -X POST https://api.elevenlabs.io/v1/studio/projects/project_id/content \
> -H "Content-Type: multipart/form-data" \
> -F from_document=@<file1>
1{
2 "project": {
3 "project_id": "aw1NgEzBg83R7vgmiJt6",
4 "name": "My Project",
5 "create_date_unix": 1714204800,
6 "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
7 "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
8 "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
9 "default_model_id": "eleven_multilingual_v2",
10 "can_be_downloaded": true,
11 "volume_normalization": true,
12 "state": "default",
13 "access_level": "viewer",
14 "quality_check_on": false,
15 "quality_check_on_when_bulk_convert": false,
16 "last_conversion_date_unix": 1714204800,
17 "title": "My Project",
18 "author": "John Doe",
19 "description": "This is a description of my project.",
20 "genres": [
21 "Novel",
22 "Short Story"
23 ],
24 "cover_image_url": "https://example.com/cover.jpg",
25 "target_audience": "young adult",
26 "language": "en",
27 "content_type": "Novel",
28 "original_publication_date": "2025-01-01",
29 "mature_content": false,
30 "isbn_number": "978-90-274-3964-2",
31 "fiction": "fiction",
32 "creation_meta": {
33 "creation_progress": 0.5,
34 "status": "pending",
35 "type": "blank"
36 },
37 "public_share_id": "abc123def456789"
38 }
39}
Updates Studio project content.
Was this page helpful?
Previous

List Studio Project Snapshots

Next
Built with

Path parameters

project_idstringRequired

The ID of the project to be used. You can use the List projects endpoint to list all the available projects.

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing an optional file.
from_urlstring or nullOptional

An optional URL from which we will extract content to initialize the Studio project. If this is set, ‘from_url’ and ‘from_content’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank.

from_documentfileOptional

An optional .epub, .pdf, .txt or similar file can be provided. If provided, we will initialize the Studio project with its content. If this is set, ‘from_url’ and ‘from_content’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank.

from_content_jsonstringOptional

An optional content to initialize the Studio project with. If this is set, ‘from_url’ and ‘from_document’ must be null. If neither ‘from_url’, ‘from_document’, ‘from_content’ are provided we will initialize the Studio project as blank.

Example: [{“name”: “Chapter A”, “blocks”: [{“sub_type”: “p”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “A”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “B”, “type”: “tts_node”}]}, {“sub_type”: “h1”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “C”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “D”, “type”: “tts_node”}]}]}, {“name”: “Chapter B”, “blocks”: [{“sub_type”: “p”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “E”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “F”, “type”: “tts_node”}]}, {“sub_type”: “h2”, “nodes”: [{“voice_id”: “6lCwbsX1yVjD49QmpkT0”, “text”: “G”, “type”: “tts_node”}, {“voice_id”: “6lCwbsX1yVjD49QmpkT1”, “text”: “H”, “type”: “tts_node”}]}]}]

auto_convertbooleanOptionalDefaults to false
Whether to auto convert the Studio project to audio or not.

Response

Successful Response
projectobject

Errors

422
Unprocessable Entity Error